org.apache.storm.sql.planner

## Class StormRelDataTypeSystem

- java.lang.Object
- - org.apache.calcite.rel.type.RelDataTypeSystemImpl
  - - org.apache.storm.sql.planner.StormRelDataTypeSystem

- All Implemented Interfaces:
    org.apache.calcite.rel.type.RelDataTypeSystem

      public class StormRelDataTypeSystem
      extends org.apache.calcite.rel.type.RelDataTypeSystemImpl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.calcite.rel.type.RelDataTypeSystem` | `STORM_REL_DATATYPE_SYSTEM`

    - ### Fields inherited from interface org.apache.calcite.rel.type.RelDataTypeSystem

      `DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StormRelDataTypeSystem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxNumericPrecision()`
    `int` | `getMaxNumericScale()`

    - ### Methods inherited from class org.apache.calcite.rel.type.RelDataTypeSystemImpl

      `deriveAvgAggType, deriveCovarType, deriveFractionalRankType, deriveRankType, deriveSumType, getDefaultPrecision, getLiteral, getMaxPrecision, getMaxScale, getNumTypeRadix, isAutoincrement, isCaseSensitive, isSchemaCaseSensitive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STORM_REL_DATATYPE_SYSTEM

          public static final org.apache.calcite.rel.type.RelDataTypeSystem STORM_REL_DATATYPE_SYSTEM

  - ### Constructor Detail

    - #### StormRelDataTypeSystem

          public StormRelDataTypeSystem()

  - ### Method Detail

    - #### getMaxNumericScale

          public int getMaxNumericScale()

      Specified by:
        `getMaxNumericScale` in interface `org.apache.calcite.rel.type.RelDataTypeSystem`
      Overrides:
        `getMaxNumericScale` in class `org.apache.calcite.rel.type.RelDataTypeSystemImpl`

    - #### getMaxNumericPrecision

          public int getMaxNumericPrecision()

      Specified by:
        `getMaxNumericPrecision` in interface `org.apache.calcite.rel.type.RelDataTypeSystem`
      Overrides:
        `getMaxNumericPrecision` in class `org.apache.calcite.rel.type.RelDataTypeSystemImpl`

Copyright © 2019 The Apache Software Foundation. All rights reserved.